RejectedExecutionHandler (Java Platform SE 8 )
Keywords: java.util.concurrent.RejectedExecutionHandler interface
Date: 2016-12-09

compact1, compact2, compact3
java.util.concurrent

## Interface RejectedExecutionHandler

- All Known Implementing Classes:
    ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy

      public interface RejectedExecutionHandler

  A handler for tasks that cannot be executed by a `ThreadPoolExecutor`.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rejectedExecution(Runnable r, ThreadPoolExecutor executor)` Method that may be invoked by a `ThreadPoolExecutor` when `execute` cannot accept a task.

- - ### Method Detail

    - #### rejectedExecution

          void rejectedExecution(Runnable r,
                                 ThreadPoolExecutor executor)

      Method that may be invoked by a `ThreadPoolExecutor` when `execute` cannot accept a task. This may occur when no more threads or queue slots are available because their bounds would be exceeded, or upon shutdown of the Executor.

      In the absence of other alternatives, the method may throw an unchecked `RejectedExecutionException`, which will be propagated to the caller of `execute`.

      Parameters:
        `r` - the runnable task requested to be executed
        `executor` - the executor attempting to execute this task
      Throws:
        `RejectedExecutionException` - if there is no remedy

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.